task: Task
handler: Handler
SUMMARY: SUMMARY
Gathering Facts: Gather facts
changed: changed
ok: ok
ignored: ignored
failed: failed
unreachable: unreachable
#### roles/.common
# roles/.common/tasks/main.yml
common-backports: Enable backports
common-base-pkg: Install base packages
common-certbot-setup: Configure certbot with the contact email
common-users-gen: Generate user accounts
common-peering: Setup peering with friendly servers
common-additional-packages: Install additional packages
common-roles: Apply roles defined in config
# roles/.common/tasks/packages.yml
common-package-managers: Start package managers
# roles/.common/tasks/tor.yml
common-tor-create: Create /etc/tor/onions/ for tor config
common-tor-config: Load onions from /etc/tor/onions
# roles/.common/tasks/peering/main.yml
common-peering-home: Create /home/peers
common-peering-remote: Configure peer server
# roles/.common/tasks/peering/setup_local.yml
common-peering-local-account: Create account peer
common-peering-local-ln: Create symbolic link to the local peer
common-peering-local-genkey: Generate SSH key for local peer
common-peering-local-confkey: Force SSH as ed25519 for local peer
# roles/.common/tasks/peering/setup_peer.yml
common-peering-remote-account: Create account for peer server
common-peering-remote-key: Configure SSH key for peer
common-peering-remote-known: Declare key for peer server on account peer
# roles/.common/tasks/users/main.yml
common-users-tor-reload: Reload tor to generate new onions
common-users-tor-wait: Wait for onions to be generated
# roles/.common/tasks/users/setup_user.yml
common-users-setup-account: Create account for new user
common-users-setup-sudo: Give admin powers to new user
common-users-setup-key: Authorize associated SSH key
common-users-setup-onion: Generate a personal onion
common-users-setup-irc: Welcome the user on IRC
common-users-tor-wait: Wait for onions to be generated
#### roles/webserver
# roles/webserver/handlers/main.yml
webserver-reload-nginx: Restart web server
# roles/webserver/tasks/certbot.yml
webserver-certbot-main: Generate main certificate
webserver-certbot-users: Generate user certificates
# roles/webserver/tasks/nginx.yml
webserver-default-config: Generate config for default site
webserver-default-symlink: Enable config for default site
webserver-tls-config: Configure webserver TLS settings
webserver-personal-pages: Setup personal pages
webserver-bucket-size: Configure webserver for long domain names (onions)
# roles/webserver/tasks/onions_perso.yml
webserver-onion-hostname: Read personal onion
webserver-onion-giveuser: Tell user about their onion address
webserver-onion-config: Configure personal onion page
webserver-onion-symlink: Enable personal onion page config
# roles/webserver/tasks/packages.yml
webserver-pkg: Setup packages for the webserver
# roles/webserver/tasks/pages_perso.yml
webserver-perso-config: Configure personal pages for webserver
webserver-perso-symlink: Enable personal pages config
webserver-perso-publichtml: Create public_html folder in skel
webserver-perso-onions: Prepare personal pages on onions
webserver-perso-multisite: Enable multisite support by linking to ~/public_html
# roles/webserver/tasks/multisite.yml
webserver-multisite-check: Verify that ~/public/html exists
webserver-multisite-folder: Create ~/public/html
webserver-multisite-symlink: Create symlinks to ~/public_html
#### .debian
# roles/.debian/tasks/main.yml
debian-pkg: Setup Debian packaged défined in config
#### .rust
# roles/.rust/tasks/main.yml
rust-setup: Setup rust and cargo
rust-user: Create a rust account to compile packages
rust-cargo-folder: Create folder for cargo
rust-bin-ownership: Give rust ownership over local bin directory
rust-bin-symlink: Create symbolic link from cargo to local bin directory
rust-pkg: Setup rust packages defined in config
#### .custom
# roles/.custom/tasks/zola/main.yml
custom-zola-setup: Setup zola static site generator (SSG)
# roles/.custom/tasks/ttbp/main.yml
custom-ttbp-source: Download ttbp source
custom-ttbp-pkg: Setup ttbp dependencies
custom-ttbp-setup: Setup Tilde Team Blogging Platform (ttbp)
custom-ttbp-tmp: Delete ttbp temporary files
